package com.rjconsultores.ventaboletos.service.impl;

import java.util.Calendar;
import java.util.List;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import com.rjconsultores.ventaboletos.dao.EmpresaMercadoPagoConfigDAO;
import com.rjconsultores.ventaboletos.entidad.Empresa;
import com.rjconsultores.ventaboletos.entidad.EmpresaMercadoPagoConfig;
import com.rjconsultores.ventaboletos.service.EmpresaMercadoPagoConfigService;
import com.rjconsultores.ventaboletos.utilerias.UsuarioLogado;

@Service("empresaMercadoPagoConfigService")
public class EmpresaMercadoPagoConfigServiceImpl implements EmpresaMercadoPagoConfigService {

	@Autowired
	private EmpresaMercadoPagoConfigDAO empresaMercadoPagoConfigDAO;

	@Override
	public List<EmpresaMercadoPagoConfig> obtenerTodos() {
		return empresaMercadoPagoConfigDAO.obtenerTodos();
	}

	@Override
	public EmpresaMercadoPagoConfig obtenerID(Integer id) {
		return empresaMercadoPagoConfigDAO.obtenerID(id);
	}

	@Override
	@Transactional
	public EmpresaMercadoPagoConfig suscribir(EmpresaMercadoPagoConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaMercadoPagoConfigDAO.suscribir(entidad);
	}

	@Override
	@Transactional
	public EmpresaMercadoPagoConfig actualizacion(EmpresaMercadoPagoConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.TRUE);

		return empresaMercadoPagoConfigDAO.actualizacion(entidad);
	}

	@Override
	@Transactional
	public void borrar(EmpresaMercadoPagoConfig entidad) {
		entidad.setUsuarioId(UsuarioLogado.getUsuarioLogado().getUsuarioId());
		entidad.setFecmodif(Calendar.getInstance().getTime());
		entidad.setActivo(Boolean.FALSE);

		empresaMercadoPagoConfigDAO.actualizacion(entidad);

	}

	@Override
	public EmpresaMercadoPagoConfig buscarPorEmpresa(Empresa empresa) {
		return empresaMercadoPagoConfigDAO.buscarPorEmpresa(empresa);
	}

}
